/*******************************************************************************
*                                                                              *
*  Menu item implementation.                                                   *
*                                                                              *
*  Copyright (C) 2012 Kirill Chuvilin.                                         *
*  All rights reserved.                                                        *
*  Contact: Kirill Chuvilin (kirill.chuvilin@gmail.com, kirill.chuvilin.pro)   *
*                                                                              *
*  This file is part of the apkenv-qml project.                                *
*                                                                              *
*  $QT_BEGIN_LICENSE:GPL$                                                      *
*  You may use this file under the terms of the GNU General Public License     *
*  as published by the Free Software Foundation; version 3 of the License.     *
*                                                                              *
*  This file is distributed in the hope that it will be useful,                *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of              *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                *
*  GNU General Public License for more details.                                *
*                                                                              *
*  You should have received a copy of the GNU General Public License           *
*  along with this package; if not, write to the Free Software                 *
*  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.   *
*  $QT_END_LICENSE$                                                            *
*                                                                              *
*******************************************************************************/

import "QKit"
import Qt 4.7

QKitMenu {
    id: menu
    objectName: "Menu"

    signal settingsToggled() // emits when settings button clicked

    QKitMenuElement { // goto website button
        text: qsTr("Homepage")
        onClicked: Qt.openUrlExternally(application.externalUrl('homepage'));
    }

    QKitMenuElement { // goto website button
        text: qsTr("apkenv page")
        onClicked: Qt.openUrlExternally(application.externalUrl("apkenvpage"))
    }

    QKitMenuElement { // settings button
        text: qsTr("Settings")
        onClicked: menu.settingsToggled()
    }

    QKitMenuElement { // exit button
        text: qsTr("Quit")
        onClicked: Qt.quit()
    }

    children: [CText{}]
}
