/*******************************************************************************
*                                                                              *
*  Page with root media forlders implementation.                               *
*                                                                              *
*  Copyright (C) 2012 Kirill Chuvilin.                                         *
*  All rights reserved.                                                        *
*  Contact: Kirill Chuvilin (kirill.chuvilin@gmail.com, kirill.chuvilin.pro)   *
*                                                                              *
*  This file is part of the apkenv-qml project.                                *
*                                                                              *
*  $QT_BEGIN_LICENSE:GPL$                                                      *
*  You may use this file under the terms of the GNU General Public License     *
*  as published by the Free Software Foundation; version 3 of the License.     *
*                                                                              *
*  This file is distributed in the hope that it will be useful,                *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of              *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                *
*  GNU General Public License for more details.                                *
*                                                                              *
*  You should have received a copy of the GNU General Public License           *
*  along with this package; if not, write to the Free Software                 *
*  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.   *
*  $QT_END_LICENSE$                                                            *
*                                                                              *
*******************************************************************************/

import Qt 4.7
import "QKit"
import MediaDir 1.0

QKitPage {
    id: selectFilePage

    property string selectedFilePath: ""
    property MediaDir mediaDir: MediaDir { }

    function open() {
        selectedFilePath = ""
        visible = true
        active = true
    }

    function close() {
        active = false
        visible = false
    }

    toolbar: QKitToolbar {
        QKitToolbarBackButton { onClicked: selectFilePage.close() }
        QKitToolbarUpButton { onClicked: mediaDir.cdUp() }
    }

    QKitGridFolderView {
        anchors.fill: parent
        files: mediaDir.fileNames
        dirs: mediaDir.dirNames
        onDirClicked: mediaDir.path += "/" + dirs[iDir]
        onFileClicked: {
            selectedFilePath = mediaDir.path + "/" + files[iFile]
            selectFilePage.close()
        }
    }
}
